# BigQuery API . tabledata

## Instance Methods

Retrieves table data from a specified set of rows.

### Method Details

`list(projectId, datasetId, tableId, pageToken=None, maxResults=None, startIndex=None)`

    Retrieves table data from a specified set of rows.

    Args:
      projectId: string, Project ID of the table to read (required)
      datasetId: string, Dataset ID of the table to read (required)
      tableId: string, Table ID of the table to read (required)
      pageToken: string, Page token, returned by a previous call, identifying the result set
      maxResults: integer, Maximum number of results to return
      startIndex: string, Zero-based index of the starting row to read

    Returns:
      An object of the form:

        {
        "pageToken": "A String", # A token used for paging results. Providing this token instead of the startRow parameter can help you retrieve stable results when an underlying table is changing.
        "kind": "bigquery#tableDataList", # The resource type of the response.
        "etag": "A String", # A hash of this page of results.
        "rows": [ # Rows of results.
          { # Represents a single row in the result set, consisting of one or more fields.
            "f": [
              { # Represents a single cell in the result set. Users of the java client can detect whether their value result is null by calling 'com.google.api.client.util.Data.isNull(cell.getV())'.
                "v": "",
              },
            ],
          },
        ],
        "totalRows": "A String", # The total number of rows in the complete table.
      }